--- old/usr/src/uts/sun4/ml/interrupt.s	Fri Feb 28 06:15:54 2020
+++ new/usr/src/uts/sun4/ml/interrupt.s	Fri Feb 28 06:15:54 2020
@@ -22,12 +22,7 @@
  * Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/thread.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/cmn_err.h>
 #include <sys/ftrace.h>
@@ -41,16 +36,7 @@
 #include <sys/traptrace.h>
 #endif /* TRAPTRACE */
 
-#if defined(lint)
 
-/* ARGSUSED */
-void
-pil_interrupt(int level)
-{}
-
-#else	/* lint */
-
-
 /*
  * (TT 0x40..0x4F, TL>0) Interrupt Level N Handler (N == 1..15)
  * 	Register passed from LEVEL_INTERRUPT(level)
@@ -160,10 +146,7 @@
 	SET_SIZE(pil_interrupt_common)
 	SET_SIZE(pil_interrupt)
 
-#endif	/* lint */
 
-
-#ifndef	lint
 _spurious:
 	.asciz	"!interrupt 0x%x at level %d not serviced"
 
@@ -329,17 +312,6 @@
 #define SERVE_INTR_TRACE2(inum, os1, os2, os3, os4)
 #endif	/* TRAPTRACE */
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-intr_thread(struct regs *regs, uint64_t iv_p, uint_t pil)
-{}
-
-#else	/* lint */
-
 #define	INTRCNT_LIMIT 16
 
 /*
@@ -892,10 +864,7 @@
 intr_thread_t_intr_start_zero:
 	.asciz	"intr_thread():	t_intr_start zero upon handler return"
 #endif /* DEBUG */
-#endif	/* lint */
 
-#if defined(lint)
-
 /*
  * Handle an interrupt in the current thread
  *	Entry:
@@ -905,7 +874,7 @@
  *		%sp       = on current thread's kernel stack
  *		%o7       = return linkage to trap code
  *		%g7       = current thread
- *		%pstate   = normal globals, interrupts enabled, 
+ *		%pstate   = normal globals, interrupts enabled,
  *		            privileged, fp disabled
  *		%pil      = PIL_MAX
  *
@@ -918,13 +887,6 @@
  *		%o0       = scratch
  *		%o4 - %o5 = scratch
  */
-/* ARGSUSED */
-void
-current_thread(struct regs *regs, uint64_t iv_p, uint_t pil)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(current_thread)
 	
 	mov	%o7, %l0
@@ -1398,7 +1360,6 @@
 current_thread_nested_PIL_not_found:
 	.asciz	"current_thread: couldn't find nested high-level PIL"
 #endif /* DEBUG */
-#endif /* lint */
 
 /*
  * Return a thread's interrupt level.
@@ -1412,31 +1373,11 @@
  *	kthread_id_t	t;
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-intr_level(kthread_id_t t)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(intr_level)
 	retl
 	ldub	[%o0 + T_PIL], %o0		! return saved pil
 	SET_SIZE(intr_level)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-int
-disable_pil_intr()
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(disable_pil_intr)
 	rdpr	%pil, %o0
 	retl
@@ -1443,33 +1384,11 @@
 	wrpr	%g0, PIL_MAX, %pil		! disable interrupts (1-15)
 	SET_SIZE(disable_pil_intr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-enable_pil_intr(int pil_save)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(enable_pil_intr)
 	retl
 	wrpr	%o0, %pil
 	SET_SIZE(enable_pil_intr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-uint_t
-disable_vec_intr(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(disable_vec_intr)
 	rdpr	%pstate, %o0
 	andn	%o0, PSTATE_IE, %g1
@@ -1477,32 +1396,11 @@
 	wrpr	%g0, %g1, %pstate		! disable interrupt
 	SET_SIZE(disable_vec_intr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-enable_vec_intr(uint_t pstate_save)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(enable_vec_intr)
 	retl
 	wrpr	%g0, %o0, %pstate
 	SET_SIZE(enable_vec_intr)
 
-#endif	/* lint */
-
-#if defined(lint)
- 
-void
-cbe_level14(void)
-{}
-
-#else   /* lint */
-
 	ENTRY_NP(cbe_level14)
 	save    %sp, -SA(MINFRAME), %sp ! get a new window
 	!
@@ -1522,18 +1420,7 @@
 	restore	%g0, 1, %o0
 	SET_SIZE(cbe_level14)
 
-#endif  /* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-kdi_setsoftint(uint64_t iv_p)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(kdi_setsoftint)
 	save	%sp, -SA(MINFRAME), %sp	! get a new window 
 	rdpr	%pstate, %l5
@@ -1607,17 +1494,6 @@
 	restore
 	SET_SIZE(kdi_setsoftint)
 	
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-setsoftint_tl1(uint64_t iv_p, uint64_t dummy)
-{}
-
-#else	/* lint */
-
 	!
 	! Register usage
 	!	Arguments:
@@ -1702,17 +1578,6 @@
 	retry
 	SET_SIZE(setsoftint_tl1)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-setvecint_tl1(uint64_t inum, uint64_t dummy)
-{}
-
-#else	/* lint */
-
 	!
 	! Register usage
 	!	Arguments:
@@ -1845,33 +1710,11 @@
 	mov	PIL_15, %g4
 	SET_SIZE(setvecint_tl1)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-wr_clr_softint(uint_t value)
-{}
-
-#else
-
 	ENTRY_NP(wr_clr_softint)
 	retl
 	wr	%o0, CLEAR_SOFTINT
 	SET_SIZE(wr_clr_softint)
 
-#endif /* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-intr_enqueue_req(uint_t pil, uint64_t inum)
-{}
-
-#else   /* lint */
-
 /*
  * intr_enqueue_req
  *
@@ -1921,21 +1764,11 @@
 	nop
 	SET_SIZE(intr_enqueue_req)
 
-#endif  /* lint */
-
 /*
  * Set CPU's base SPL level, based on which interrupt levels are active.
  * 	Called at spl7 or above.
  */
 
-#if defined(lint)
-
-void
-set_base_spl(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(set_base_spl)
 	ldn	[THREAD_REG + T_CPU], %o2	! load CPU pointer
 	ld	[%o2 + CPU_INTR_ACTV], %o5	! load active interrupts mask
@@ -1986,8 +1819,6 @@
 	.byte	5, 5, 5, 5,	5, 5, 5, 5,	5, 5, 5, 5,	5, 5, 5, 5
 	.align	4
 
-#endif	/* lint */
-
 /*
  * int
  * intr_passivate(from, to)
@@ -1995,15 +1826,6 @@
  *	kthread_id_t	to;		interrupted thread
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-intr_passivate(kthread_id_t from, kthread_id_t to)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(intr_passivate)
 	save	%sp, -SA(MINFRAME), %sp	! get a new window 
 
@@ -2060,10 +1882,6 @@
 	restore
 	SET_SIZE(intr_passivate)
 
-#endif	/* lint */
-
-#if defined(lint)
-
 /*
  * intr_get_time() is a resource for interrupt handlers to determine how
  * much time has been spent handling the current interrupt. Such a function
@@ -2079,8 +1897,8 @@
  * The first time intr_get_time() is called while handling an interrupt,
  * it returns the time since the interrupt handler was invoked. Subsequent
  * calls will return the time since the prior call to intr_get_time(). Time
- * is returned as ticks, adjusted for any clock divisor due to power 
- * management. Use tick2ns() to convert ticks to nsec. Warning: ticks may 
+ * is returned as ticks, adjusted for any clock divisor due to power
+ * management. Use tick2ns() to convert ticks to nsec. Warning: ticks may
  * not be the same across CPUs.
  *
  * Theory Of Intrstat[][]:
@@ -2124,13 +1942,6 @@
  * the next intr_get_time() call from the original interrupt, because
  * the higher-pil interrupt's time is accumulated in intrstat[higherpil][].
  */
-
-/*ARGSUSED*/
-uint64_t
-intr_get_time(void)
-{ return 0; }
-#else	/* lint */
-
 	ENTRY_NP(intr_get_time)
 #ifdef DEBUG
 	!
@@ -2239,4 +2050,3 @@
 intr_get_time_no_start_time:
 	.asciz	"intr_get_time(): t_intr_start == 0"
 #endif /* DEBUG */
-#endif  /* lint */
